﻿#nullable enable

//------------------------------------------------------------------------------
// <auto-generated>
// This code was generated by:
//     DKX.Pg.AOT.Generators.EntityGenerator
// Changes to this file may cause incorrect behavior and
// will be lost if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace DKX.Pg.AOT.Tests.Samples.EntityGeneratorClasses
{
	public partial class RecordEntity
	{
		public RecordEntity(global::System.Data.IDataRecord record, int[] mapping)
		{
		}
	}

	public sealed class RecordEntityEntityMetadata : global::DKX.Pg.Metadata.IEntityMetadata<RecordEntity>
	{
		public global::DKX.Pg.Metadata.IPropertyMetadata<RecordEntity>[] Properties { get; } = global::System.Array.Empty<global::DKX.Pg.Metadata.IPropertyMetadata<RecordEntity>>();

		public int[] CreateMapping(global::System.Data.IDataRecord record)
		{
			return global::System.Array.Empty<int>();
		}

		public RecordEntity CreateEntity(global::System.Data.IDataRecord record, int[] mapping)
		{
			return new RecordEntity(record, mapping);
		}
	}
}
